.App {
  background: #fff;
}
.custom-header .navbar.navbar-expand-lg.bg-body-tertiary {
  background: #294908 !important;
}
.custom-header .logo-img {
  width: 100%;
  max-width: 100px;
  height: auto;
}

.custom-header .nav-link {
  font-size: 15px;
  color: #ffffff;
  padding: 0 25px !important;
}

.custom-header .right-button-nav li button {
  background: #fff;
  color: #000;
  height: 35px;
  padding: 0 15px;
  border-radius: 8px;
  border: none;
  font-weight: 500;
  font-family: unset;
}
.custom-header .right-button-nav {
  display: flex;
  flex-wrap: wrap;
  min-width: 215px;
  margin: 0;
  padding: 0;
  list-style: none;
}
.custom-header .right-button-nav li {
  margin: 0 0 0 15px;
}

.custom-header .navbar-nav.me-auto.mb-2.mb-lg-0 {
  display: flex;
  justify-content: center;
  /* width: -webkit-fill-available; */
}
.visa-sec {
  background: #f5f5f5;
  padding: 0 0 0 0;
}
.heading-top h1 {
  color: #000;
  font-weight: bold;
  margin: 0 0 50px 0;
}
.heading-top h1 span {
  color: #294908;
}
.img-sqr {
  width: 100%;
  height: 100%;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.prop-p {
  font-size: 20px;
  text-align: left;
  color: #294908;
  font-weight: bold;
  margin: 0 0 15px 0;
}
.prop-p-1 {
  font-size: 14px;
  text-align: left;
  font-weight: 400;
  margin: 0 0 15px 0;
}
.common-visa {
  background: #fff;
  border-radius: 12px;
  height: 100%;
  border: 4px solid transparent;
  transition: 0.8s;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08);
}
.img-height-1 {
  padding: 25px;
}
.prop-bt {
  background: #294908;
  color: #fff;
  height: 40px;
  padding: 0 15px;
  border-radius: 12px;
  border: none;
  font-weight: 600;
  font-size: 14px;
}
.prop-bt:hover {
  opacity: 0.9;
}
.common-visa:hover {
  border-color: #294908;
}
.visa-sec {
  background: #f5f5f5;
  padding: 0 0 0 0;
}
.heading-top h1 {
  color: #000;
  font-weight: bold;
  margin: 0 0 50px 0;
}
.heading-top h1 span {
  color: #294908;
}
.img-sqr {
  width: 100%;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.prop-p {
  font-size: 20px;
  text-align: left;
  color: #294908;
  font-weight: bold;
  margin: 0 0 15px 0;
}
.prop-p-1 {
  font-size: 14px;
  text-align: left;
  font-weight: 400;
  margin: 0 0 15px 0;
}
.common-visa {
  background: #fff;
  border-radius: 12px;
  height: 100%;
  border: 4px solid transparent;
  transition: 0.8s;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08);
}
.img-height-1 {
  padding: 25px;
}
.prop-bt {
  color: #fff;
  height: 40px;
  padding: 0 15px;
  border-radius: 12px;
  border: none;
  font-weight: 600;
  font-size: 14px;
}
.common-visa:hover {
  border-color: #294908;
}
.flag-section {
  background: url("https://www.ilcvisa.com/wp-content/uploads/2022/01/download-1.png");
  padding: 30px 0 0 0;
}
.ul-right-flag {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  align-items: center;
}
.ul-right-flag li {
  margin: 0 15px 0 0;
}
.ul-right-flag li img {
  width: 70px;
}
.flag-right-p1 {
  font-size: 30px;
  line-height: 40px;
  text-align: left;
  color: #fff;
}
.flag-right-p2 {
  text-align: left;
  font-weight: 400;
  color: #fff;
  margin: 0 0 30px 0;
}
.flag-right button.prop-bt {
  margin-left: 0 !important;
  display: block;
  margin-top: 30px;
}
.student-img {
  width: 100%;
}
.flag-right {
  height: 100%;
  justify-content: center;
  display: flex;
  align-items: center;
}
.col-lg-3 .logo-img {
  width: 60px;
  height: 60px;
  margin-left: 30px;
}
.d-flex.my-3.footer-social-icons {
  justify-content: space-between;
}
.col-lg-2 ul li {
  list-style: none;
}
a {
  font-family: system-ui;
}
.col-lg-2 {
  text-align: center;
}

.flag-ui-section {
  margin: 50px 0px 20px 20px;
  text-align: center;
}

.flag-img-main {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.flag-img {
  width: 100%;
  height: 100%;
  border: 1px solid #00000038;
  margin-right: 10px;
  opacity: 1;
  transition: opacity 0.5s ease-in-out, transform 0.3s ease-in-out;
}

.flag-img:hover {
  transform: scale(1.1);
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.sectioflag-section-data {
  background-color: #fff;
  margin: 20px;
  padding: 20px;
  border-radius: 8px;
  border: 1px solid #ddd;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h2.flagdata-h {
  font-size: 2rem;
  color: #165c2a;
  margin-top: 30px;
  margin-left: 60px;
  font-family: sans-serif;
}

.carousel-inner {
  position: relative;
}

.flagdata-p {
  margin: 30px 20px;
  font-size: 1rem;
  color: #294908b3;
  list-style: none;
  line-height: 25px;
  font-family: sans-serif;
}

.text-overlay {
  width: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: transparent;
  padding: 20px;
  border-radius: 5px;
  text-align: center;
}

.text-overlay h2 {
  margin: 0;
}
/* #navbarSupportedContent ul{
  margin:0;
  padding:0;
  display:flex;
}

#navbarSupportedContent ul li{
  list-style:none;
  margin:0 20px;
  transition:0.5s;
}
#navbarSupportedContent ul li a{
  display: block;
  position:relative;
  text-decoration:none;
  padding:5px;
  font-size:11px;
  font-family: sans-serif;
  color:#fff;
  text-transform:uppercase;
  transition:0.5s;
}

 #navbarSupportedContent ul:hover li a{
  transform:scale(1.5);
  opacity:0.2;
  filter:blur(5px);
}

#navbarSupportedContent ul li a:hover{
  transform:scale(1.9);
  opacity:1;
  filter:blur(0);
  text-decoration:none;
  color:#fff;
}

#navbarSupportedContent ul li a:before{
  content:'';
  position:absolute;
  top:0;
  left:0;
  width:90%;
  height:90%;
  background:#294908b3;
  transition:0.5s;
  transform-origin:right;
  transform:scaleX(0);
  z-index:-1;
}

#navbarSupportedContent ul li a:hover:before{
  transition:transform 0.5s;
  transform-origin:left;
  transform:scaleX(1);
} */

.loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.loading-spinner {
  border: 5px solid #f3f3f3;
  border-top: 7px solid #294908b3;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1.5s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.slider-left-cus h2 {
  font-size: 40px;
  font-weight: bold;
  margin: 0 0 10px 0;
  color: #fff;
}

.slider-left-cus span {
  font-size: 18px;
  color: #fff;
}

.slider-right-cus img {
  height: auto !important;
  width: 100% !important;
}

.text-overlay-abs {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  max-width: 900px;
  margin: auto;
  position: absolute;
  left: 0;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  z-index: 9;
}

.slider-left-cus {
  width: 60%;
}

.slider-right-cus {
  width: 40%;
}

.custom-slider.carousel-item {
  position: relative;
}

.custom-slider.carousel-item:after {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: #0000004f;
  content: "";
}
.login {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login-container {
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  height: auto;
  max-width: 450px;
  font-size: 18px;
  font-family: sans-serif;
}

h2 {
  text-align: center;
  color: #333;
  font-size: 15px;
}

form {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 8px;
  color: #555;
}

input {
  padding: 8px;
  margin-bottom: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.axc {
  background-color: #294908b3;
  color: #fff;
  padding: 10px;
  border: none;
  border-radius: 4px;
  margin-top: 20px;
  cursor: pointer;
  transition-duration: 0.3s;
}

.axc:hover {
  background-color: #218838;
}

button.axc {
  margin-bottom: 15px;
}

.register {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.registerBox {
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 100%;
  height: auto;
  max-width: 450px;
  font-size: 18px;
  font-family: sans-serif;
}
h1 {
  text-align: center;
}

form {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 5px;
}

input {
  padding: 8px;
  margin-bottom: 10px;
}

.regis {
  background-color: #294908b3;
  color: #fff;
  padding: 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.regis:hover {
  background-color: #218838;
}
.carousel-indicators {
  text-align: center;
  margin-top: 20px; /* Adjust as needed */
}

.dot {
  display: inline-block;
  height: 10px;
  width: 10px;
  border-radius: 50%;
  background-color: #bbb; /* Inactive dot color */
  margin: 0 5px; /* Adjust spacing between dots */
  cursor: pointer;
}

.dot.active {
  background-color: #333;
}
.form-label {
  display: block;
  margin-top: 10px;
}

.fields-width {
  width: 100%;
}
.info-submit-form {
  background-color: #294908;
  width: 100%;
  border-color: #294908;
  color: #fff;
  margin-top: 20px;
  border-radius: 8px;
  padding: 5px 0px;
}
.formInfo {
  margin-top: 20px;
}
.info-text {
  color: #294908;
}
.pass-toggle {
  text-align: end;
  position: absolute;
  right: 15px;
  bottom: 5px;
}
/* .emp-login-btn {
  text-align: right;
  background-color : #294908;
  color: #fff;
  margin-left: 1050px;
} */
.pass-div {
  display: flex;
  flex-direction: column;
  position: relative;
}
.password-toggle-icon {
  width: 20px;
  height: 20px;
  cursor: pointer;
}
.text-color {
  text-decoration: none;
  color: #294908;
}
.same-font-size {
  font-size: 25px;
  font-weight: bold;
}
.style_css ul {
  list-style: none;
  margin-top: 20px;
}
.style_css ul li {
  margin-bottom: 10px;
}
.text-center {
  text-align: center;
}
.full-width {
  width: 100%;
}
.second-header {
  background-color: #294908b3;
  height: 130px;
}
.first-headings {
  font-size: 4.5rem;
  font-weight: 900;
  font-style: normal;
  margin-right: 100px;
}
.second-headings {
  font-style: italic;
  margin-top: 6px;
  width: 90%;
  font-weight: bold;
  font-size: 50px;
}
.third-header {
  font-size: 40px;
  font-weight: bold;
  margin-left: 110px;
}
.same-margin {
  margin: 20px 30px;
}
.submit-form {
  font-size: 13px;
  background-color: #fafafa;
}

button.info-submit-form {
  width: 100%;
  max-width: 120px;
  height: 100%;
  max-height: 35px;
  font-family: sans-serif;
  font-size: 15px;
  font-weight: bold;
}
.row.form_content {
  margin: 30px 0px;
}

.gender {
  display: block;
  height: 100%;
  max-height: 37px;
}

.sidebar {
  min-width: 250px;
  height: 100%;
  min-height: 500px;
  width: 100%;
  background-color: #294908;
  color: #fff;
  padding: 35px;
  display: flex;
  flex-direction: column;
  z-index: 9;
}

.side-div {
  display: flex;
  flex-direction: row;
}

.table-div {
  width: 100%;
  padding-top: 20px;
}
.sidebar-option {
  margin-bottom: 10px;
  cursor: pointer;
}

/* .sidebar-option:hover {
  color: #000;
}
.sidebar ul li a :hover {
  color: #000;
} */
.emp {
  display: flex;
  justify-content: flex-end;
}
select.select-div {
  height: 100%;
}
span.service-heading {
  font-size: 20px;
  font-family: sans-serif;
  padding: 10px;
}
section.service-div {
  margin: 30px 10px;
}

.nri-submit {
  margin-top: 15px;
  text-align: center;
  margin-right: 160px;
}

.form-group {
  width: 100%;
  max-width: 350px;
  margin-bottom: 15px;
}

select.select-div {
  width: 100%;
  max-width: 500px;
  height: 100vh;
  max-height: 55px;
  border-radius: 5px;
}

/* Style the navigation links */
.navbar-nav {
  list-style: none;
  padding: 0;
}

.nav-item {
  margin-bottom: 15px;
}

.nav-link {
  color: #ecf0f1;
  text-decoration: none;
  font-size: 16px;
  display: block;
  padding: 10px;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

/* Add hover effect for the links */
.nav-link:hover {
  background-color: #947828;
}

/* Add animation to the links */
.nav-link {
  transition: transform 0.2s ease;
}

.nav-link:hover {
  transform: scale(1.05);
}
.nav-item.active {
  background-color: #947828;
  border-radius: 5px; 
}

.container.table-div {
  width: 100%;
  height: 100%;
  min-height: 500px;
}

/* Responsive styles */

@media screen and (max-width: 768px) {
  .custom-header .nav-link {
    font-size: 12px;
    padding: 0 15px !important;
  }

  .custom-header .right-button-nav li {
    margin: 0 0 0 10px;
  }

  .custom-header .logo-img {
    max-width: 80px;
  }
  .sidebar {
    min-width: 250px;
    height: 100%;
    min-height: 500px;
    width: 100%;
    background-color: #294908;
    color: #fff;
    padding: 20px;
    display: flex;
    flex-direction: column;
    z-index: 9;
  }
  .table-div {
    width: 100%;
    padding-top: 10px;
  }
}

@media screen and (max-width: 576px) {
  .custom-header .nav-link {
    font-size: 10px;
    padding: 0 10px !important;
  }

  .custom-header .right-button-nav li {
    margin: 0 0 0 5px;
  }

  .custom-header .logo-img {
    max-width: 60px;
  }
}

.navbar > .container,
.navbar > .container-fluid,
.navbar > .container-lg,
.navbar > .container-md,
.navbar > .container-sm,
.navbar > .container-xl,
.navbar > .container-xxl {
  display: flex;
  flex-wrap: inherit;
  align-items: baseline !important;
  justify-content: space-between;
}
@keyframes pulse {
  0%, 100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
}
.animateButton {
  animation: pulse 1s infinite;
}
